GRDINFO(1)

NAME
grdinfo - Get information about the contents of a 2-D grid file

SYNOPSIS
grdinfo grdfiles [ -C ] [ -F ] [ -I[dx[/dy]] ][ -L[0|1|2] ] [ -M ] [ -Tdz ] [ -V ] [ -f[i|o]colinfo ]

DESCRIPTION
grdinfo reads a 2-D binary grid file and reports various statistics for the (x,y,z) data in the grid file(s). The output information contains the minimum/maximum values for x, y, and z, where the min/max of z occur, the x- and y-increments, and the number of x and y nodes, and [optionally] the mean, standard deviation, and/or the median, L1 scale of z, and number of nodes set to NaN.

grdfile
    The name of one or several 2-D grid files. (See GRID FILE FORMATS below.)

OPTIONS
No space between the option flag and the associated arguments.

-C  Formats the report using tab-separated fields on a single line. The output is w e s n z0 z1 dx dy nx ny [ x0 y0 x1 y1 ] [ med scale ] [ mean std rms] [n_nan]. The data in brackets are output only if the corresponding options -M, -L1, -L2, and -M are used, respectively. If the -I option is used, the output format is instead NF w e s n z0 z1, where NF is the total number of grids read and w e s n are rounded off (see -I).

-F  Report grid domain and x/y-increments in world mapping format [Default is generic]. Does not apply to the -C option.

-I  Report the min/max of the region to the nearest multiple of dx and dy, and output this in the form -Rw/e/s/n (unless -C is set). To report the actual grid region, select -I-. If no argument is given then we report the grid increment in the form -Ixinc/yinc.

-L0 Report range of z after actually scanning the data, not just reporting what the header says.

-L1 Report median and L1 scale of z (L1 scale = 1.4826 * Median Absolute Deviation (MAD)).

-L2 Report mean, standard deviation, and rms of z.

-M  Find and report the location of min/max z-values, and count and report the number of nodes set to NaN, if any.

-T  Determine min and max z-value, round off to multiples of dz, and report as the text string -Tzmin/zmax/dz for use by makecpt.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-f  Special formatting of input and/or output columns (time or geographical data). Specify i or o to make this apply only to input or output [Default applies to both]. Give one or more columns (or column ranges) separated by commas. Append T (absolute calendar time), t (relative time in chosen TIME_UNIT since TIME_EPOCH), x (longitude), y (latitude), or f (floating point) to each column or column range item. Shorthand -f[i|o]g means -f[i|o]0x,1y (geographic coordinates).

GRID FILE FORMATS
GMT is able to recognize many of the commonly used grid file formats, as well as the precision, scale and offset of the values contained in the grid file. When GMT needs a little help with that, you can add the suffix =id[/scale/offset[/nan]], where id is a two-letter identifier of the grid type and precision, and scale and offset are optional scale factor and offset to be applied to all grid values, and nan is the value used to indicate missing data. See grdreformat(1) and Section 4.17 of the GMT Technical Reference and Cookbook for more information.

When reading a netCDF file that contains multiple grids, GMT will read, by default, the first 2-dimensional grid that can find in that file. To coax GMT into reading another multi-dimensional variable in the grid file, append ?varname to the file name, where varname is the name of the variable. Note that you may need to escape the special meaning of ? in your shell program by putting a backslash in front of it, or by placing the filename and suffix between quotes or double quotes. See grdreformat(1) and Section 4.18 of the GMT Technical Reference and Cookbook for more information, particularly on how to read splices of 3-, 4-, or 5-dimensional grids.

EXAMPLES
To obtain all the information about the data set in file hawaii_topo.grd:

grdinfo -L1 -L2 -M hawaii_topo.grd

SEE ALSO
GMT(1), grd2cpt(1), grd2xyz(1), grdedit(1)